
#ifndef __CONFIGURATION_H
#define __CONFIGURATION_H

#include <string>
#include <Tracer.h>

#include "table.h"
#include "token.h"

class Configuration
{
	public :
		typedef struct { string	_name; Token _setting; } Default;

		Configuration(
			const string &				fileName,
			const string &				configurationName,
			unsigned int				numberOfDefaults,
			const Default *				defaults );
		virtual ~Configuration() { PROC ENDPROC }
		const Token & setting( const string & name ) const;
		const TableT & settings() const;

	private :
		TableT defaultSettings(
					unsigned int	numberOfDefaults,
					const Default *	defaults ) const;
		TableT 			_settings;

};


#endif
