
//
// StreamT.h
//
//
// HISTORY:
//
//    Date        Author   Modifications
//    --------    ------   -------------
//    15/06/97    MT       Initial Version
//
//
//
//
//
//
//
// DESCRIPTION:
//
// Public header file for Stream functions
//
//
// **********************************************************


#ifndef __STREAMT_H
#define __STREAMT_H


#include <istream.h>

#include "Tracer.h"


class StreamT
{
	public :

				StreamT(
					istream &	thisStream,
					const string &	fileName = "NoName",
					unsigned int	lineNumber = 1,
					unsigned int	columnNumber = 1 );
				virtual ~StreamT(){}
		char		GetNextChar();
		char		peek();
		char		GetNextEscapedChar();
		void		getLine( char * line, streamsize n );
		void		skipLine();
		void		UngetCharacter( char thisCharacter );
		int		EndOfFile() const;
		unsigned int	CurrentLineNo() const;
		unsigned int	CurrentColumnNo() const;
		istream &	stream() { PROC RETURN _is; };
		virtual const string & FileNameOf() const
		{
			PROC
			RETURN _fileName;

		}
		friend ostream & operator<<( ostream &, const StreamT & );
	private :

		istream & 	_is;
		string		_fileName;
		unsigned int	_currentLineNumber;
		unsigned int	_currentColumnNumber;
};


#endif

