
/* Revision History
 *
 * $Id: parsing.h,v 1.2 1999/04/20 13:46:17 mthomas Exp $
 *
 */


/**************************************************************************/
/*                                                                        */
/*  FILENAME                                                              */
/*  ========                                                              */
/*  parsing.h                                                             */
/*                                                                        */
/*                                                                        */
/*  SUBSYSTEM                                                             */
/*  =========                                                             */
/*  XMM SAS - UTILITIES                                                   */
/*                                                                        */
/*                                                                        */
/*  TITLE                                                                 */
/*  =====                                                                 */
/*  Public header file for interface to parsing functions.                */
/*                                                                        */
/*                                                                        */
/*  AUTHORS                                                               */
/*  =======                                                               */
/*  Mark Thomas                                                           */
/*  CARA Software & Services Ltd                                          */
/*                                                                        */
/*                                                                        */
/*  CONSTRAINTS                                                           */
/*  ===========                                                           */
/*  All typedefs and functions given in this header file are for          */
/*  public use.                                                           */
/*                                                                        */
/*                                                                        */
/*  DESCRIPTION                                                           */
/*  ===========                                                           */
/*  Public Header file for interface to parsing functions.                */
/*                                                                        */
/*                                                                        */
/*  EXAMPLE                                                               */
/*  =======                                                               */
/*                                                                        */
/*  main()                                                                */
/*  {                                                                     */
/*                                                                        */
/*                                                                        */
/*  }                                                                     */
/*                                                                        */
/*                                                                        */
/**************************************************************************/





#ifndef __PARSING_H
#define __PARSING_H

#include "token.h"
#include "scanner.h"


Token::BTree
ParseStatement( ScannerT & scanner );


Token::BTree
ParseExpression( ScannerT & scanner );

Token::BTree
ParseAssignmentExpression( ScannerT & scanner );


#endif

